/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package paqueteBL;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author sysmq
 */
public class VMext extends VM{

    private Host host;
    private List<Evento> eventos;
    private List<Backup> backups;

    public VMext(String dataRep,String pathDataRep,String path,String nombre) {
        super(dataRep,pathDataRep,path,nombre);
        eventos=new ArrayList<Evento>();
        backups=new ArrayList<Backup>();
    }

    public VMext() {
        super();
        eventos=new ArrayList<Evento>();
        backups=new ArrayList<Backup>();
    }

    /**
     * @return the eventos
     */
    public List<Evento> getEventos() {
        return eventos;
    }

    /**
     * @param eventos the eventos to set
     */
    public void setEventos(List<Evento> eventos) {
        this.eventos = eventos;
    }


    public List<Backup> getBackups() {
        return backups;
    }

    public void setBackups(List<Backup> backups) {
        this.backups = backups;
    }

    /**
     * @return the host
     */
    public Host getHost() {
        return host;
    }

    /**
     * @param host the host to set
     */
    public void setHost(Host host) {
        this.host = host;
        setIdHost(host.getId());
    }
    
}
